#include <iostream>

// Interface
void Quicksort(int* arr);                               // The quicksort function
void Split(int* arr, int left, int right, int pivot);   // The "splitter" function in qsort
void Swap(int* first, int* second);                     // The "swap" function

// Globals
int* arrayOfPackages;   // Array of "financial packages"



int main()
{
    int sizeOfArray;        // Size of array of "financial packages"
    int valueOfPackage;     // Value of "one" financial package

    cin >> sizeOfArray;
    while (sizeOfArray != 0)
    {
        arrayOfPackages = (int*) malloc(sizeOfArray * sizeof(int));

        // Fill in the array with financial packages
        for (int i = 0; i < sizeOfArray; i++)
        {
            cin >> arrayOfPackages[i];
        }

        // Sort the packages in the array from lowest to highest
        Quicksort(arrayOfPackages);

        // Distribute packages to the banks 
        for (int i = 0; i < sizeOfArray - 2; i += 2)
        {
            cout << arrayOfPackages[i] + "-A ";
            cout << arrayOfPackages[i + 1] + "-B ";
        }
        cout << arrayOfPackages[sizeOfArray - 2] + "-A ";
        // If size of array is even...
        if ((sizeOfArray % 2) == 0))
        {
            cout << arrayOfPackages[sizeOfArray - 1] + "-B ";
        }
        // And add the "newline" character to the end of line
        cout << endl;

        free(arrayOfPackages);

        cin >> sizeOfArray;
    }
}



void Quicksort(int* arr)
{
    Split(arr, int left, int right);
}



void Split(int* arr, int left, int right, int pivot)
{
    for (int i = left + 1; i <= right; i++)
    {
        if (arrayOfPackages[i] < arrayOfPackages[pivot])
        {
            Swap(&arrayOfPackages[pivot], &arrayOfPackages[i]);
            pivot++;
        }
    }
    Swap(&arrayOfPackages[0], &arrayOfPackages[pivot]);
}



void Swap(int* first, int* second)
{
    int* temp = first
    first = second;
    second = temp;
}
